glibmm: Glib::ShellError Class Reference

glibmm 2.66.5

Public Types | Public Member Functions | List of all members
Glib::ShellError Class Reference
Shell-related Utilities

Exception class for shell utility errors. More...

`#include <glibmm/shell.h>`

Inheritance diagram for Glib::ShellError:
[legend]

## Public Types
enum | Code { BAD_QUOTING , EMPTY_STRING , FAILED }
| Error codes returned by shell functions. More...

## Public Member Functions
| ShellError (Code error_code, const Glib::ustring & error_message)
| ShellError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring & message)
| Error (GError * gobject, bool take_copy=false)
| Error (const Error & other)
Error & | operator= (const Error & other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0
virtual Glib::ustring | what () const =0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for shell utility errors.

## Member Enumeration Documentation

## ◆ Code

enum Glib::ShellError::Code

Error codes returned by shell functions.

Enumerator
BAD_QUOTING | Mismatched or otherwise mangled quoting.
EMPTY_STRING | String to be parsed was empty.
FAILED | Some other error.

## Constructor & Destructor Documentation

## ◆ ShellError() [1/2]

Glib::ShellError::ShellError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ ShellError() [2/2]

Glib::ShellError::ShellError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::ShellError::code | ( |  | ) | const